# DataExchange
TKIGES
IGESGeom

# IGESGeom_CompositeCurve Class Reference

defines IGESCompositeCurve, Type <102> Form <0>
in package IGESGeom
A composite curve is defined as an ordered list of entities
consisting of a point, connect point and parametrised curve
entities (excluding the CompositeCurve entity).

`#include <IGESGeom_CompositeCurve.hxx>`

Inheritance diagram for IGESGeom_CompositeCurve:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_CompositeCurve ()
Standard_EXPORT void | Init (const Handle(IGESData_HArray1OfIGESEntity)&allEntities)
| This method is used to set the fields of the class CompositeCurve - allEntities : Constituent Entities of the composite curve .
Standard_EXPORT Standard_Integer | NbCurves () const
| returns the number of curves contained in the CompositeCurve
Standard_EXPORT Handle_IGESData_IGESEntity | Curve (const Standard_Integer Index) const
| returns Component of the CompositeCurve (a curve or a point) raises exception if Index <= 0 or Index > NbCurves()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_HArray1OfIGESEntity | theEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_CompositeCurve::IGESGeom_CompositeCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_CompositeCurve::Curve | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESGeom_CompositeCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_CompositeCurve::Init | ( | const Handle(IGESData_HArray1OfIGESEntity)& | allEntities | ) |

Standard_EXPORT Standard_Integer IGESGeom_CompositeCurve::NbCurves | ( |  | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESGeom_CompositeCurve::theEntities `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_CompositeCurve.hxx